Which Apple devices models does Mosyle Business support?

3 min read

by Mosyle Team

@mosyle_biz

Which Apple devices models does Mosyle Business support?

Here at Mosyle, we often get questions about Mosyle Business Dashboard for IT Admins and the Mosyle Business Self-Service app. With our new FAQ sessions, we’re hoping to answer the most commonly asked questions that we receive through our website, and hope that this helps you out a little bit more on your Mosyle journey!

This article will focus on what Apple devices and software are needed for applications such as macOS Mosyle Agent, Apple Configurator 2 and more.

Which Apple devices work with Mosyle?

Mosyle supports Apple devices with different generations of software, and it will depend on what type your company has. However, regardless of the device or OS version the device is running, the Mosyle Business application, what we also call an Agent app, is required on all devices enrolled in the Apple device management solution.

Automated Device Enrollment requires the following device configurations:

  • iOS devices with iOS 7 or later
  • iPadOS devices
  • Mac computers with OS X Mavericks 10.9 or later
  • Apple TV devices (4th generation or later) with tvOS 10.2 or later

To install Mosyle Agent on macOS devices, they need to be running OS 10.12.6 or later.

Does Mosyle support older devices such as the iPad 4 running iOS 10.3.3?

Yes, it does! Although Mosyle Business is available with earlier versions of iOS and macOS, some features are only available for specific iOS, iPadOS, tvOS and macOS versions.

That's why we always recommend upgrading your Apple devices to the latest version of the OS - currently macOS Catalina 10.15, iOS 13 or iPadOS.

Rest assured that the MDM platform will indicate the specific OS requirements for the restrictions or management profiles.

Which Apple devices support Apple Shared?

Apple Shared iPad is supported on any iPad Pro, iPad 5th generation, iPad Air 2 or later, iOS Version 9.3 and later and iPad Mini 4 or later.

To run Apple Shared iPad, the devices must have at least 32 GB of storage and be supervised. If you have devices running iOS 8, you can use the Mosyle Shared device model, however the features will be limited.

You can find more information about requirements for Apple Shared iPad here: https://support.apple.com/guide/mdm/shared-ipad-cad7e2e0cf56/web

What OS is needed for Apple Configurator 2?

Apple Configurator 2 requires devices running iOS 9.3.5 or later. For more information click here: https://support.apple.com/guide/apple-configurator-2/requirements-cadbf9a73b/mac

Are there any OS requirements for installing apps using Apple Business Manager and the MDM?

For installing apps using the Apps and Books (formerly VPP) devices need to be running iOS 9+.

We hope this helps when deciding which Apple devices and software you want to choose for your business. Let us know if you have any questions you’d like answered!